Bug 456763 - grubby hangs - continuously reading /sys/block/sda/slaves
grubby hangs - continuously reading /sys/block/sda/slaves
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 13:30 EDT by Ian Pilcher
Modified: 2009-01-09 01:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of grubby hang (33.85 KB, application/x-gzip)
2008-07-26 13:30 EDT, Ian Pilcher
no flags Details
grub.conf before installing kernel-2.6.25.11-60.fc8 (1.13 KB, text/plain)
2008-07-26 13:32 EDT, Ian Pilcher
no flags Details

  None (edit)
Description Ian Pilcher 2008-07-26 13:30:03 EDT
Description of problem:
grubby hangs when installing a new kernel package.  strace indicates that it
is repeatedly opening /sys/block/sda/slaves

Version-Release number of selected component (if applicable):
mkinitrd-6.0.19-4.fc8

How reproducible:
100%

Steps to Reproduce:
1.  Install new kernel package (usually via yum update).
2.  grubby hangs.
  
Actual results:
grubby hangs

Expected results:
grubby should update /boot/grub/grub.conf and exit.

Additional info:

[root@home ~]# mount
/dev/md1 on / type ext3 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/md0 on /boot type ext3 (rw)
/dev/sde1 on /boot/grub type vfat (rw,dmask=0022,fmask=0133)
tmpfs on /dev/shm type tmpfs (rw)
/dev/md10 on /pub type ext3 (rw,noexec,nodev)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
fusectl on /sys/fs/fuse/connections type fusectl (rw)

[root@home ~]# cat /etc/fstab
/dev/md1        /               ext3    defaults                1 1
/dev/md0        /boot           ext3    defaults                1 2
/dev/sde1       /boot/grub      vfat    dmask=0022,fmask=0133   1 2
tmpfs           /dev/shm        tmpfs   defaults                0 0
devpts          /dev/pts        devpts  gid=5,mode=620          0 0
sysfs           /sys            sysfs   defaults                0 0
proc            /proc           proc    defaults                0 0
/dev/md2        swap            swap    defaults                0 0
/dev/md10       /pub            ext3    nodev,noexec            0 2
Comment 1 Ian Pilcher 2008-07-26 13:30:03 EDT
Created attachment 312708 [details]
strace of grubby hang
Comment 2 Ian Pilcher 2008-07-26 13:32:25 EDT
Created attachment 312709 [details]
grub.conf before installing kernel-2.6.25.11-60.fc8
Comment 3 Bug Zapper 2008-11-26 06:02:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:41:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.